Get Secret Manager Source
API server
https://app.coolify.io/api/v1The secret manager source of an application, service, or database, and the secret manager tokens of its team that can be linked.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
resource_type*string
Resource type.
Value in
"applications" | "services" | "databases"uuid*string
Resource UUID.
Response Body
application/json
application/json
application/json
curl -X GET "https://app.coolify.io/api/v1/applications/string/secret-manager"{ "linked": true, "integration_token_uuid": "string", "provider": "doppler", "settings": {}, "available_tokens": [ { "uuid": "string", "name": "string", "provider": "string" } ]}{ "message": "Unauthenticated."}Empty
{ "message": "Resource not found."}Configure Application Secret Manager PATCH
Configure the secret manager source used by an application. Same as Set Secret Manager Source with resource_type applications.
Import Secret Manager References POST
Add a {{vault.KEY}} environment variable for every key of the linked source that has no variable yet. Keys that are not valid variable names are skipped.
